commit 5cacbb2ee75e5b4c628ff34c3ca2ff49d75d98d9
Author: freddy77 <freddy77>
Date:   Tue Apr 29 15:08:56 2008 +0000

    typo error on error code

diff --git a/ChangeLog b/ChangeLog
index 0357601..3bedd29 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Apr 29 16:54:49 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc.c: typo error
+
 Thu Apr 24 11:57:24 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* doc/htdoc/faq.html small clarifications
 
@@ -10,12 +13,12 @@ Wed Apr 23 17:25:58 EDT 2008	JK Lowden <jklowden@freetds.org>
 
 Sun Mar 23 16:55:08 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* doc/userguide.sgml clarified localization 
-	
+
 Sun Mar 23 13:14:05 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* configure.ac doc/Makefile.am
 	- applied ML patches from Johnny C. Lam for callout locations
 	- and gnutls test
-	
+
 Thu Mar 13 14:22:28 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tdsodbc.h src/odbc/error.c:
 	- make errs offset constant in all odbc structures to make 
@@ -245,4 +248,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2509 2008/04/24 15:59:29 jklowden Exp $
+$Id: ChangeLog,v 1.2510 2008/04/29 15:08:56 freddy77 Exp $
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index 62f7222..3f4f497 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.479 2008/04/23 21:35:54 jklowden Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.480 2008/04/29 15:08:56 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -4717,7 +4717,7 @@ SQLGetData(SQLHSTMT hstmt, SQLUSMALLINT icol, SQLSMALLINT fCType, SQLPOINTER rgb
 				++colinfo->column_text_sqlgetdatapos;
 			
 			if (colinfo->column_text_sqlgetdatapos < colinfo->column_cur_size) {	/* not all read ?? */
-				odbc_errs_add(&stmt->errs, "1004", "String data, right truncated");
+				odbc_errs_add(&stmt->errs, "01004", "String data, right truncated");
 				ODBC_RETURN(stmt, SQL_SUCCESS_WITH_INFO);
 			}
 		} else {

